QGIS Application - Bug report #15831
dbmanager error, no such function: GeometryType
2016-11-10 10:15 AM - Donovan Cameron

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:2.18.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23751
Description

I'm running a workshop currently and have encountered an issue with DBManager and Spatialite geometry tables.

When we open up DBManager, all the tables that should be geometry are listed as simple tables.
Loading them from DBManager into the map canvas loads them as tables as well.

Browser shows them correctly as spatial tables and loads them fine.

This issue has been seen on MacOSX, Windows (via OSGeo4W installer) and Linux.

The error in DBManager pops up when you highlight one of the tables, like "tlus_pt" and switch to the "table" tab.
It says - no such function: GeometryType

I've attached our spatialite database for reference.

History

#1 - 2016-11-10 10:16 AM - Donovan Cameron

FYI, my version info on linux:

sqlite 3.15.1

spatialite 4.4.0

gdal 2.1.r36188

qgis 2.18.0.r68.9fd7{348

#2 - 2017-05-01 01:02 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
